libstdc++: std::exception_ptr Class Reference

libstdc++

std::exception_ptr Class Reference

`#include <exception>`

## Public Member Functions
constexpr | exception_ptr (const exception_ptr &) noexcept
constexpr | exception_ptr (exception_ptr &&__o) noexcept
constexpr | exception_ptr (nullptr_t) noexcept
const class std::type_info * | __cxa_exception_type () const noexcept
constexpr | operator bool () const noexcept
constexpr exception_ptr & | operator= (const exception_ptr &) noexcept
constexpr exception_ptr & | operator= (exception_ptr &&__o) noexcept
constexpr void | swap (exception_ptr &) noexcept

## Friends
constexpr friend bool | operator== (const exception_ptr &, const exception_ptr &) noexcept=default
exception_ptr | std::current_exception () noexcept
template<typename _Ex>
constexpr exception_ptr | std::make_exception_ptr (_Ex) noexcept
void | std::rethrow_exception (exception_ptr)
constexpr void | swap (exception_ptr &__lhs, exception_ptr &__rhs)

## Related Symbols
(Note that these are not member symbols.)
constexpr void | swap (exception_ptr &__lhs, exception_ptr &__rhs)

## Detailed Description

An opaque pointer to an arbitrary exception.

The actual name of this type is unspecified, so the alias std::exception_ptr should be used to refer to it.

Since
  C++11 (but usable in C++98 as a GCC extension)

Definition at line 109 of file exception_ptr.h.

## Constructor & Destructor Documentation

## ◆ exception_ptr() [1/4]

std::__unspecified__::exception_ptr::exception_ptr | ( |  | ) |
| inlineconstexprnoexcept

Definition at line 233 of file exception_ptr.h.

## ◆ exception_ptr() [2/4]

std::__unspecified__::exception_ptr::exception_ptr | ( | const exception_ptr & | __other | ) |
| inlineconstexprnoexcept

Definition at line 239 of file exception_ptr.h.

## ◆ exception_ptr() [3/4]

std::__unspecified__::exception_ptr::exception_ptr | ( | nullptr_t |  | ) |
| inlineconstexprnoexcept

Definition at line 160 of file exception_ptr.h.

## ◆ exception_ptr() [4/4]

std::__unspecified__::exception_ptr::exception_ptr | ( | exception_ptr && | __o | ) |
| inlineconstexprnoexcept

Definition at line 164 of file exception_ptr.h.

## ◆ ~exception_ptr()

std::__unspecified__::exception_ptr::~exception_ptr | ( |  | ) |
| inlineconstexprnoexcept

Definition at line 258 of file exception_ptr.h.

## Member Function Documentation

## ◆ operator bool()

std::__unspecified__::exception_ptr::operator bool | ( |  | ) | const
| inlineexplicitconstexprnoexcept

Definition at line 202 of file exception_ptr.h.

## ◆ operator=() [1/2]

exception_ptr & std::__unspecified__::exception_ptr::operator= | ( | const exception_ptr & | __other | ) |
| inlineconstexprnoexcept

Definition at line 275 of file exception_ptr.h.

## ◆ operator=() [2/2]

exception_ptr & std::__unspecified__::exception_ptr::operator= | ( | exception_ptr && | __o | ) |
| inlineconstexprnoexcept

Definition at line 181 of file exception_ptr.h.

## ◆ swap()

void std::__unspecified__::exception_ptr::swap | ( | exception_ptr & | __other | ) |
| inlineconstexprnoexcept

Definition at line 283 of file exception_ptr.h.

## Friends And Related Symbol Documentation

## ◆ swap()

void swap | ( | exception_ptr & | __lhs,
|  | exception_ptr & | __rhs )
| related

Definition at line 292 of file exception_ptr.h.

The documentation for this class was generated from the following file:

- exception_ptr.h